## mini-buildd 1.0.24

=== debian/changelog ===
mini-buildd (1.0.24) unstable; urgency=medium

  This and that, and fixup regression from 1.0.22:

  * [64615bd] compat: Update dh compat from 7 to 9 (no other changes
    required).
  * [415c691] control: mini-buildd: Add missing dep on lsb-base (init
    script).
  * [5391c86] repository overview: Add "Direct links" convenience section.
    Thanks to Marc Haber (Closes: 790059)
  * [74363c7] doc/admin.rst: Improve docs about 0.8.x migration and
    reprepro. Thanks to Marc Haber (Closes: 790292)
  * [4edbf1f] doc/admin.rst: Add doc how to manually use an external
    archive key. Thanks to Marc Haber (Closes: 790775)
  * [4d1256c] control: mini-buildd-common: This may be 'Multi-Arch:
    foreign' (as hinted)
  * [33f214b] Fix regression introduced in 1.0.22 (1eeece7): Builds using
    ccache fail on pre-existing chroots due to missing 'libdir'.

 -- Stephan Sürken <absurd@debian.org>  Sat, 22 Oct 2016 07:54:13 +0000

mini-buildd (1.0.23) unstable; urgency=medium

  This release brings the live buildlog feature && some:

  * [e24769c] [html] "Sync" last packages+builder status templates; only
    allow description column to wrap.
  * [5641406] [html] Arch status tooltip: Remove confusing URL, clarify
    text when building is in progress.
  * [9493933] [html] Last packages: Use standard hover style for arch
    stati links.
  * [822f7b4] changes.py: "Changes" class: Internal rename:
    TYPES->TYPE2FILENAME_ID.
  * [915aa9d] changes.py: "Changes" class: Add get_spool_id() (and
    somewhat renice hash code).
  * [5e38795] reprepro.py: Remove extra debug log (call.py now already
    logs this suficently).
  * [505ab4e] packager.py: Use new misc.rmdirs to purge spool dir instead
    of shutils.rmtree directly (should improves error handling here).
  * [14dd7af] changes.py: Prefix changes type ("upload" or "buildrequest")
    to spool id.
  * [8710070] Live buildlogs: Initial implementation: On webhome, access
    live buildlogs from active "Packager" list or from active or last
    "Builder" list. Thanks to Marc Haber (Closes: 809127)
  * [3a5b17a] builder.py: Live buildlogs: Add support to expire live
    buildlog files from spool (5 days).
  * [a40aa1a] views.py: live buildlogs: Rather use plain text/HTTP 200
    message when not available.
  * [58085b9] builder.py: live buildlogs: Guard code against prossibly
    pre-existing buildlog files.
  * [10190f9] packager.py: live buidlogs: Rather use new live_buildlog_url
    var, and put traditional 'http_remote_url' to old use.

 -- Stephan Sürken <absurd@debian.org>  Thu, 20 Oct 2016 15:29:45 +0000

mini-buildd (1.0.22) unstable; urgency=medium

  Odds & Ends: Some more items from the roadmap, HTML
  improvements, misc fixes:

  * [e94d25d] doc/admin.rst: Add BTRFS to table of chroot backend options.
  * [502aa4f] models/chroot.py: Call 'args' 'call' like in Call from
    call.py...
  * [6a975f8] models/source.py: Add get_apt_line_raw() (give components
    explicitly).
  * [a1c8e27] chroot.py: Update source chroot's apt line on check().
  * [53ddbc8] [devel] Cosmetic fix: Don't double-issue version.
  * [c2e1f38] [html] Last package status: Span buildlog link over all text
    (less confusing).
  * [1072d70] [html] Last package status: Always show status description
    (instead of "hovering tooltip").
  * [32415ed] [html] Add "homepage on the web" link to index.
  * [cd5f797] [html] mini-buildd_messagelist.css: Also customize
    'li.success' (fixes layout glitch on messages when deleting
    instances).
  * [0df352c] django_settings.py: Add static content; initially, add
    static version info here.
  * [4142ce1] [html]: Add component version information to footer
    (tooltip).
  * [c2be2b6] [html] Emphasize anchors (links) as bold.
  * [305e4db] mini-buildd.service: Add default value for mini-buildd
    options (Fixes: Would not run with default args (--verbose) when
    debconf unchanged).
  * [c95d4de] misc.py: Add rmdirs() (analogous to mkdirs()) function &&
    update docs.
  * [1eeece7] Move per-chroot 'libdir' to extra directory '~var/chroots-
    libdir', and restrict build-time mounts. Thanks to Marc Haber (Closes:
    802681)
  * [8be71c5] control: Add b-d on dh-python.
  * [3edabb9] mini-buildd: Make sure spool and chroot lib dirs exist (now
    needed by schroot setup).
  * [6779f39] [devel]: Update p-k test config magic to be even more magic
    (and call it before testing).
  * [5f2d923] doc/admin.rst: Add hint about avoiding django downgrades.

 -- Stephan Sürken <absurd@debian.org>  Sun, 09 Oct 2016 08:14:49 +0000

mini-buildd (1.0.21) unstable; urgency=medium

  This release mainly features code refactoring around the internal
  subprocess warpper and the addition of the BTRFS chroot backend.

  Subprocess wrapper refactoring. While this mostly cleans up code, it
  should also provide a nicer "log experience" for the administrator:

  * [7797f73] call.py: Add helper to open a new file rw.
  * [a1e9172] call.py: call(): Use stdin and stderr when given explicitly.
  * [c9005dc] daemon.py: Use call.py (for genchanges), not subprocess
    directly.
  * [9ee1134] call.py: Rename call.sose_call -> call.sose, and make it
    just a wrapper for call().
  * [2893b89] call.py: Use shell-like output of command for all such logs.
  * [aec91a8] call.py: Initial implementation of new class 'Call'.
  * [165d91f] call.py: Update 'sose' function to use new class.
  * [01d9fc6] call.py: Call(): Separate raw && unicode properties for
    stderr/stdout.
  * [95dd481] call.py: Use new Call() class in call().
  * [b7103a9] call.py: Call(): Add "human-readable label" for nicer
    logging.
  * [651deba] gnupg.py: Update to new call.py for "export" subprocess
    call.
  * [fdf80e8] builder.py: Update sbuild call to new call.py.
  * [85129d2] call.py/gnupg.py: Bulk-remove obsoleted call arguments.
  * [077d1a7] builder.py: Remove now-obsoleted extra sbuild call log.
  * [aaf2b70] call.py: Remove obsoleted functions: log_call_output,

