=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Stephan Sürken <absurd@debian.org>
 X-Python-Version: >=2.7
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd (>= 1.5),
                man-db (>= 2.5.1),
@@ -68,7 +68,7 @@
          debootstrap (>= 1.0.81~),
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),
-         sbuild (>= 0.71),
+         sbuild (>= 0.72),
          dpkg-dev (>= 1.17),
          devscripts (>= 2.14.5~),
          lintian
