=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),
          sbuild (>= 0.72),
-         dpkg-dev (>= 1.17),
+         dpkg-dev (>= 1.17.27~),
          devscripts (>= 2.14.5~),
          lintian
 Recommends: python-apt
