=== debian/control ===
--- 
+++ 
@@ -64,7 +64,7 @@
          sudo,
          gnupg,
          dirmngr,
-         reprepro (>= 4.17),
+         reprepro (>= 5),
          debootstrap (>= 1.0.81~),
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),
