## mini-buildd 1.0.29~bpo8+1

=== debian/changelog ===
mini-buildd (1.0.29~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [fb078b9] Revert "Depend on ‘python-daemon’ 2.0.5 for new lockfile
    API."
  * [2cc82b2] Revert "Remove references to obsolete
    ‘daemon.pidlockfile’ API."
  * [b9025c7] control: For systems <= jessie: Depend on python-daemon < 2
    and python-lockfile (<= 1:0.9~) (incompatible API changes).
  * [d3a70ea] debian/gbp.conf: Point to 1.0.x-jessie.
  * [231f6d3] debian/gbp.conf: Omit merge commits for dch.

 -- Stephan Sürken <absurd@debian.org>  Tue, 31 Jan 2017 16:14:58 +0000

mini-buildd (1.0.29) unstable; urgency=medium

  * [cc636fa] mini-buildd: Improve stale pidfile recognition (when pid has
    been re-used by other programs).
  * [fd69be4] [doc] mini-buildd.PIDFile: Typo fix, and remove note about
    HOST-MainThread-PID extra file (no longer happening).
  * [dea3aa9] call.py: Add general functionality to retry calls.
  * [937ad97] gnupg.py: Retry the gpg sign call. This aims to be a
    workaround (not fix) for unclear behaviour described in #849551.
  * [ad73073] call.py: Add newline in docstr (avoid warning).
  * [cbf53f6] django_settings.py: Fix py warning in context_precessor()
    (Fixes: Warning string in man page (breaking repr. builds)).
  * [005532d] mini-buildd[-tool]: Make '--version' print to stdout
    (workaround for py2 issue18920).
  * [7c3c46e] setup.py: help2man: No longer use "--no-discard-stderr" (may
    result in corrupt man pages).
  * [96f079d] home.html: Fix tidy warnings (duplicate ids).
  * [devel]: Several changes to internal dev helper script (see git).

 -- Stephan Sürken <absurd@debian.org>  Tue, 17 Jan 2017 11:18:43 +0000
