=== debian/control ===
--- 
+++ 
@@ -16,7 +16,9 @@
                python-argparse,
                python-argcomplete (>= 0.5.4),
                python-keyring (>= 1.6),
-               python-daemon (>= 2.0.5),
+               python-daemon (>= 1.5.5),
+               python-daemon (<< 2),
+               python-lockfile (<= 1:0.9~),
                python-debian (>= 0.1.18~),
                python-cherrypy3,
                python-pyftpdlib (>= 1.2.0),
@@ -56,7 +58,9 @@
          lsb-base (>= 3.0-6),
          python-mini-buildd (= ${binary:Version}),
          mini-buildd-common (= ${binary:Version}),
-         python-daemon (>= 2.0.5),
+         python-daemon (>= 1.5.5),
+         python-daemon (<< 2),
+         python-lockfile (<= 1:0.9~),
          python-cherrypy3,
          python-pyftpdlib (>= 1.2.0),
          libjs-jquery,
