## mini-buildd 1.0.30

=== debian/changelog ===
mini-buildd (1.0.30) unstable; urgency=medium

  Maintenance release. Executive summary:
   - Post-stretch wizard updates
   - Make it work with django 1.11

  [ Stephan Sürken ]
  * [90da0bf] [devel] Make mini-buildd-tool shortcut for test calls
    global.
  * [be288b4] [devel]: Add wait4package(): Wait until a packge is in-repo.
  * [65ecdd6] [devel]: checkall(): Add migration tests.
  * [1c086cd] models/repository.py: Improve two error messages (add
    version) when package is not found in repo.
  * [c79c627] mini-buildd-tool: Pre-check for None for http_args dict
    (Fixes (wheezy only): API call has 'version=None' instead of
    'version=' when --version not given explicitly.)
  * [8c93d5e] lintian: Add hardcoded suppress for 'bad-ubuntu-
    distribution-in-changes-file'.

  [ Gerhard A. Dittes ]
  * [ab2cecd] mini-buildd.css: Improve "status table" appearance.

  [ Stephan Sürken ]
  * [412ccc9] wizards: Add support for Ubuntu zesty (17.04).
  * [8367a44] wizards: Improve source wizard code: Don't repeat key ids.
  * [fc1ca10] wizards: Cleanup Ubuntu sources, support only zesty, yakkety
    (latest) + xenial, trusty (latest LTS).
  * [80ce5a4] wizards: Archives: Replace httpredir.debian.org by
    deb.debian.org.
  * [144242e] wizards: Sources: Update keys for stretch after release.
  * [46a6766] wizards: Add support for buster.
  * [64b2425] wizards: Add support for jessie-backports-sloppy.
  * [a1395ea] wizards: Add support for stretch-backports.
  * [48fbe4d] django: Update to aware datetime objects ('USE_TZ'), and
    allow django 1.11.
  * [e73c85f] Fixup "aware datetime" port for py2: Unlike py3, we need to
    get timezones from python-tz.
  * [5d61d2c] [devel] .pycodestyle: Disable "bare except" warning (won't
    fix in 1.0.x).

 -- Stephan Sürken <absurd@debian.org>  Wed, 28 Jun 2017 14:21:02 +0200
