## mini-buildd 1.0.31

=== debian/changelog ===
mini-buildd (1.0.31) unstable; urgency=medium

  Hotfix for foolish lintian check regression:

  * [39415cc] builder/packager.py: Fixup import order.
  * [f546e03] Revert "lintian: Add hardcoded suppress for 'bad-ubuntu-
    distribution-in-changes-file'."

 -- Stephan Sürken <absurd@debian.org>  Thu, 29 Jun 2017 17:13:41 +0200
