=== debian/control ===
--- 
+++ 
@@ -16,15 +16,15 @@
                python-argparse,
                python-argcomplete (>= 0.5.4),
                python-keyring (>= 1.6),
-               python-daemon (>= 1.5.5),
-               python-daemon (<< 2),
-               python-lockfile (<= 1:0.9~),
+               python-daemon (>= 2.0.5),
                python-debian (>= 0.1.18~),
                python-cherrypy3,
                python-pyftpdlib (>= 1.2.0),
                python-django (>= 1.7),
-               python-django (<< 1:1.11),
+               python-django (<< 1:1.12),
                python-django-registration (>= 2.0.4),
+               python-tz,
+               python-tzlocal,
                gnupg
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/mini-buildd.git
@@ -41,8 +41,10 @@
          python-keyring (>= 1.6),
          python-debian (>= 0.1.25~),
          python-django (>= 1.7.4),
-         python-django (<< 1:1.11),
-         python-django-registration (>= 2.0.4)
+         python-django (<< 1:1.12),
+         python-django-registration (>= 2.0.4),
+         python-tz,
+         python-tzlocal
 Description: minimal build daemon - python library and user tool
  Mini-buildd is an easy-to-configure autobuilder and
  repository for deb packages.
@@ -58,9 +60,7 @@
          lsb-base (>= 3.0-6),
          python-mini-buildd (= ${binary:Version}),
          mini-buildd-common (= ${binary:Version}),
-         python-daemon (>= 1.5.5),
-         python-daemon (<< 2),
-         python-lockfile (<= 1:0.9~),
+         python-daemon (>= 2.0.5),
          python-cherrypy3,
          python-pyftpdlib (>= 1.2.0),
          libjs-jquery,
