## mini-buildd 1.0.32

=== debian/changelog ===
mini-buildd (1.0.32) unstable; urgency=medium

  * [d8e0e71] gbp.conf: Configure snapshot number: time stamp.
  * [f6679d0] gnupg.py: Support passwordless key creation for gpg flavor
    2.2 (fixes daemon creation).
  * [9db7196] control: Rm obsoleted b-d for dh-systemd.

 -- Stephan Sürken <absurd@debian.org>  Sat, 30 Sep 2017 15:43:59 +0200
