=== debian/changelog ===
mini-buildd (1.0.33) unstable; urgency=medium

  * [c4663d3] changes.py: buildrequest: Also exclude .changes (fixes:
    failed buildlog sometimes not archived) and .buildinfo files.

 -- Stephan Sürken <absurd@debian.org>  Thu, 04 Jan 2018 18:12:09 +0100
