=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
                dh-python,
-               dh-systemd (>= 1.5),
                man-db (>= 2.5.1),
                po-debconf,
                python (>= 2.7),
