## mini-buildd 1.0.34

=== debian/changelog ===
mini-buildd (1.0.34) unstable; urgency=medium

  [ Stephan Sürken ]
  * [1302fe3] [devel]: test suite: Always use dput --force (make local
    package test work even if there's a changes around).
  * [a31cc60] api/__init__.py: Put http MAXHEADERS patch here (fixes mini-
    buildd-tool, too).
  * [3820b44] pylint 1.8: Make check succeed again.
  * [19cd194] call.py: Fix: call_with_retry() would not raise exception on
    error.
  * [b80da48] test packages: Update config.* (new autotools).
  * [e6df677] control: Replace prio 'extra' by 'optional'.
  * [6bbc4fa] gnupg: Make public key importer more reliable.
  * [884a12f] gnupg.py: import_pub_key(): Try all files
    /u/s/keyrings/*.gpg.
  * [21e1a9c] gnupg.py: Rename var keyFile -> key_file (to suite naming
    conventions).
  * [3ddf213] [devel]: Update purge to include all new debs from 1.1.x
    development.
  * [266bb63] test packages: Update config.* (new autotools).

  [ Gerhard A. Dittes ]
  * [a2e2b02] templates/mini_buildd/base.html: Fix truncated "submit
    buttons" for Firefox >= 57 (alias Quantum).
  * [8c3eb77] devel: Fix missing "sudo" when using "service" command.

  [ Stephan Sürken ]
  * [35b6e53] Setup Wizards/Ubuntu: Drop yakkety, add artful.

 -- Stephan Sürken <absurd@debian.org>  Sun, 11 Mar 2018 15:00:48 +0100
