=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mini-buildd
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
 X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
@@ -76,7 +76,7 @@
          devscripts (>= 2.14.5~),
          lintian
 Recommends: python-apt
-Suggests: haveged, lvm2, qemu-user-static, binfmt-support, btrfs-progs
+Suggests: debian-archive-keyring, ubuntu-keyring, haveged, lvm2, qemu-user-static, binfmt-support, btrfs-progs
 Breaks: mini-buildd-rep (<< 1.0.0~),
         mini-buildd-bld (<< 1.0.0~)
 Replaces: mini-buildd-rep,
