## mini-buildd 1.0.35

=== debian/changelog ===
mini-buildd (1.0.35) unstable; urgency=medium

  * [a3df092] control: Update Vcs URLs after salsa move.
  * [c1b8a26] builder.py: sbuild: Explicitly add '--no-run-lintian' option
    when lintian is disabled (effectively makes mini-buildd's 'run-
    lintian=false' option actually work ;).
  * [ab88c5b] control: rm obsoleted 'X-Python-Version'.

 -- Stephan Sürken <absurd@debian.org>  Fri, 11 May 2018 22:32:11 +0200
