## mini-buildd 1.0.36~bpo9+1

=== debian/changelog ===
mini-buildd (1.0.36~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephan Sürken <absurd@debian.org>  Mon, 02 Jul 2018 13:02:28 +0200

mini-buildd (1.0.36) unstable; urgency=medium

  * [9a29242] source.py: wizards: Update signing keys for unstable +
    testing.

 -- Stephan Sürken <absurd@debian.org>  Fri, 22 Jun 2018 16:30:15 +0200
