## mini-buildd 1.0.36+deb10u1

=== debian/changelog ===
mini-buildd (1.0.36+deb10u1) buster; urgency=medium

  * [36d75e1] debian/gbp.conf: Update debian branch.
  * [85bd4e0] builder.py: sbuild call: set '--no-arch-all' explicitly
    (Fixes "false" reprepro errors after successful builds w/ sbuild >=
    0.77) (Fixes: #951641)

 -- Stephan Sürken <absurd@debian.org>  Tue, 28 Apr 2020 08:18:54 +0200
