=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: devel
 Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
-X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
                dh-python,
                man-db (>= 2.5.1),
@@ -26,8 +25,8 @@
                python-tzlocal,
                gnupg
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/mini-buildd.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mini-buildd.git
+Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
+Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
 Homepage: http://mini-buildd.installiert.net/
 
 Package: python-mini-buildd
