=== examples/packages/archive-keyring-template/debian/control ===
Source: %ID%-archive-keyring
Section: misc
Priority: optional
Maintainer: %MAINT%
Standards-Version: 3.9.1

Package: %ID%-archive-keyring
Architecture: all
Depends: gnupg, apt
Description: mini-buildd archive keys (and sources.lists) for %ID%
 Automatic archive keys and APT sources.list library for
 mini-buildd instance id %ID%.
