=== examples/packages/mbd-test-archall/debian/control ===
Source: mbd-test-archall
Section: misc
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: mbd-test-archall
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.
