## mini-buildd 1.0.36+nmu1

=== debian/changelog ===
mini-buildd (1.0.36+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:02:16 +0800
