## mini-buildd 1.0.41

=== debian/changelog ===
mini-buildd (1.0.41) unstable; urgency=medium

  * [916b0d7] wizard: Fix (can now find archived wheezy security again)
    and cleanup hardcoded archive list.

 -- Stephan Sürken <absurd@debian.org>  Sat, 13 Apr 2019 09:13:03 +0200

mini-buildd (1.0.40) unstable; urgency=medium

  Fixes builds for wheezy+jessie (after these were archived in Debian).
  This also rolls back the "Valid-Until backport" (this was incomplete,
  and will do more harm than good for 1.0.x). wheezy/jessie sources need
  to be re-checked to find the new locations:
  * [8c09a43] schroot/setup.d/15mini-buildd-workarounds: wheezy and jessie
    are now archived (need Check-Valid-Until disabled).
  * [23251cf] Revert "source.py: Make the 'Valid-Until-Check' (backported
    in 1.0.37) actually work for python 2."
  * [80026c6] Revert "control: Add missing package dependency on py-
    dateutil."
  * [a9055df] Revert "models/source.py: Add expire check for Release files
    ("Valid-Until")."

 -- Stephan Sürken <absurd@debian.org>  Fri, 29 Mar 2019 11:32:05 +0100

mini-buildd (1.0.39) unstable; urgency=medium

  * [56ab3d4] source.py: Make the 'Valid-Until-Check' (backported in
    1.0.37) actually work for python 2.

 -- Stephan Sürken <absurd@debian.org>  Tue, 26 Mar 2019 09:33:32 +0100

mini-buildd (1.0.38) unstable; urgency=medium

  Fixes regression introduced in 1.0.37:
  * [d88347f] control: Add missing package dependency on py-dateutil.

 -- Stephan Sürken <absurd@debian.org>  Tue, 19 Mar 2019 12:51:34 +0100

mini-buildd (1.0.37) unstable; urgency=medium

  "Buster fixes" release:
  * [3e267ea] builder.py: sbuild call: set '--no-arch-all' explicitly
    (Fixes "false" reprepro errors after successful builds w/ sbuild >=
    0.77)
  * [bb0a6a8] wizards: Remove squeeze autosetup support (repo sigs
    expired).
  * [222b3bb] api/_contrib.py, DebianPackageTracker helper: Fix parsing
    for backport versions (after changes to tracker web sites).
  * [85a7c24] source wizard: Update Ubuntu sources (up to 18.10).
  * [469290a] models/source.py: Add expire check for Release files
    ("Valid-Until").
  * [9ae9ced] Add support for generic per-distribution DEB_BUILD_OPTIONS.
  * [269df5b] .pycodestyle, .pylintrc: Pimp to avoid some new style
    warnings (won't change in stable).
  * [495225f] daemon.py: Fix wrong documentation of sbuild_jobs value.
    (Closes: 922614)
  * [d05485c] source,repository.py: Add support for Debian Security
    sources.
  * [3e79f6e] call.py: Ignore 'sbuild-update --keygen' failures. (Closes:
    924077)

 -- Stephan Sürken <absurd@debian.org>  Mon, 11 Mar 2019 16:19:05 +0100
